it.csi.mddtools.guigen

## Interface TreeView

- All Superinterfaces:
    DataWidget, org.eclipse.emf.ecore.EObject, MultiDataWidget, org.eclipse.emf.common.notify.Notifier, Widget

      public interface TreeView
      extends DataWidget, MultiDataWidget

  A representation of the model object 'Tree View'. Widget che permette di visualizzare una struttura ad albero. La struttura dati deve essere mantenuta in un application data di tipo TreeNode.

  The following features are supported:

  - `Node Selection Type`
  See Also:
    `GuigenPackage.getTreeView()`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `TreeSelectionTypes` | `getNodeSelectionType()` Returns the value of the 'Node Selection Type' attribute.
    `void` | `setNodeSelectionType(TreeSelectionTypes value)` Sets the value of the '`Node Selection Type`' attribute

    - ### Methods inherited from interface it.csi.mddtools.guigen.DataWidget

      `getDatabinding, getDataType, getDataTypeModifier, isRequired, setDatabinding, setDataType, setDataTypeModifier, setRequired`

    - ### Methods inherited from interface it.csi.mddtools.guigen.MultiDataWidget

      `getMultiDataBinding, setMultiDataBinding`

    - ### Methods inherited from interface it.csi.mddtools.guigen.Widget

      `getEnableEnrichment, getEventHandlers, getLabel, getLayoutSpec, getName, getSecurityConstraints, getTooltip, isDefaultEnabled, isDefaultVisible, setDefaultEnabled, setDefaultVisible, setEnableEnrichment, setLabel, setLayoutSpec, setName, setTooltip`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getNodeSelectionType

          TreeSelectionTypes getNodeSelectionType()

      Returns the value of the 'Node Selection Type' attribute. The default value is `"ALL_NODES"`. The literals are from the enumeration `TreeSelectionTypes`. Determina il tipo di selezione permessa sull'albero:
      - solo sui nodi foglia
      - solo sui nodi non foglia
      - su tutti i nodi
      Returns:
        the value of the 'Node Selection Type' attribute.
      See Also:
        `TreeSelectionTypes`, `setNodeSelectionType(TreeSelectionTypes)`, `GuigenPackage.getTreeView_NodeSelectionType()`

    - #### setNodeSelectionType

          void setNodeSelectionType(TreeSelectionTypes value)

      Sets the value of the '`Node Selection Type`' attribute.
      Parameters:
        `value` - the new value of the 'Node Selection Type' attribute.
      See Also:
        `TreeSelectionTypes`, `getNodeSelectionType()`